/// <reference path="../CharacterOrigin.ts" />
module CharacterCreation {
    export let ChampionOrigin = new CharacterOrigin("Champion");
    ChampionOrigin.name = "Champion";
    ChampionOrigin.description= "You were born in the small village of Southwood in the post-Tower world. Chosen by the village elder, you were trained relentlessly as soon as you became able to walk. Your mission: get to the Tower and find a way to destroy it. Unbeknownst to you, this is little more than a sacrifice ritual and you are just it's latest victim. The village doesn't actually expect you to succeed, you are merely a gift to the Tower, so that it will not destroy Southwood.";
    ChampionOrigin.bonusStats = "This origin grants a +1 Bonus to every attribute, but you will be stuck with some perks gained through your training.";

    // Give +1 to all stats if picked
    ChampionOrigin.confirmPicked = () => {
        let player = WorldState.player;
        function increaseStat (attr : Attribute) {
            player.setStat(attr, player.getStat(attr) + 1);
        }
        increaseStat(Attributes.Strength);
        increaseStat(Attributes.Charm);
        increaseStat(Attributes.Agility);
        increaseStat(Attributes.Intelligence);
    }
}